import React from 'react';
import PropTypes from 'prop-types';

import InteractiveMap from './InteractiveMap/InteractiveMap';

class Editor extends React.Component {
  static propTypes = {
    imageUrl: PropTypes.string.isRequired,
    handleChange: PropTypes.func.isRequired,
    data: PropTypes.instanceOf(Object).isRequired,
  }

  doStuff = () => {

  }

  render() {
    const data = this.props.data || { objects: [], filters: {} };
    return (
      <InteractiveMap handleChange={this.props.handleChange} data={data} imageUrl={this.props.imageUrl} />
    );
  }
}
export default Editor;
